class Email
  include ActiveModel::Model
  include ActiveModel::Attributes

  attribute :message_id
  attribute :subject
  attribute :date, :datetime
  attribute :to
  attribute :delivered_to
  attribute :from
  attribute :headers, default: []
  attribute :plain_body
  attribute :cron, :boolean, default: false
  attribute :mailing_list, :boolean, default: false
  attribute :clients, default: []
  attribute :servers, default: []
  attribute :tickets, default: []
  attribute :created_at, :datetime, default: DateTime.now
  attribute :updated_at, :datetime, default: DateTime.now

  validates :message_id, presence: true
  validates :subject, presence: true
  validates :date, presence: true
  validates :delivered_to, presence: true
  validates :from, presence: true
  validates :headers, presence: true
end
